pebbles-totsugen 0.0.1.2 → 0.1.0

Sign up to get free protection for your applications and to get access to all the features.
checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  ---
2
- SHA1:
3
- metadata.gz: 3cb227288cceb54738600e762eb39e1ac2c310a9
4
- data.tar.gz: 87758c786394a3e8727212846930d0c3ce657fa2
2
+ SHA256:
3
+ metadata.gz: a8f93243130a7a0a56e9ce5066636a8a7a250e0de930867b93cdcf3c5caf1cbf
4
+ data.tar.gz: 8556339e745eb4d1b95b202bf18820db81f49e110c946c21bcb46c5ec93d675f
5
5
  SHA512:
6
- metadata.gz: 447bda54f3a10ce488b5d08cca32d65b4c5b21274c06773b53aaa1022feb69d746dda6c076c59123f830a81c1b874bd7483966b82e60224197131c35c0054bf7
7
- data.tar.gz: 88e64be366062d48fd309114cecd250d22dbc9dfff15c5efd092371ba2ba2d4f28c19b0d0ba32989f13c61d60ea813de8e5011c1896749d21e68ae397971f38d
6
+ metadata.gz: a81abe2b3be3af21fc967380e0da2244e07747e6a970aa7b6d2c7582a482d97abd06b4ede70ed4d87a5e7e5fa53d2e340a15f2d8952cae0281cf4cde62de40c7
7
+ data.tar.gz: b87b0833e40cb9fd517895d2d88f8f9301714de5bae04c220c7c35913b3e2983ee4a3c4af08e617540534e3dad8f11ff7fdfcf27e13dce538074f7a4c64df5ba
@@ -2,19 +2,16 @@ language: ruby
2
2
 
3
3
  rvm:
4
4
  - ruby-head
5
- - 2.0.0
6
- - 1.9.3
7
- - 1.9.2
8
- - rbx-nightly-19mode
5
+ - 2.6
6
+ - 2.5
7
+ - rbx-4
9
8
  - jruby-head
10
- - jruby-19mode
11
9
 
12
10
  matrix:
13
11
  allow_failures:
14
12
  - rvm: ruby-head
15
- - rvm: rbx-nightly-19mode
13
+ - rvm: rbx-4
16
14
  - rvm: jruby-head
17
- - rvm: jruby-19mode
18
15
 
19
16
  before_install:
20
17
  - gem install bundler
data/README.md CHANGED
@@ -50,7 +50,7 @@ Pebbles::TotsuGen.generate('突然のrequire') #=> _人人人人人人人人
50
50
  動作環境
51
51
  -------------
52
52
 
53
- * Ruby - [1.9.2以上](http://travis-ci.org/#!/kachick/pebbles-totsugen)
53
+ * Ruby - [2.5以上](http://travis-ci.org/#!/kachick/pebbles-totsugen)
54
54
 
55
55
  Install
56
56
  -------
@@ -1,5 +1,5 @@
1
1
  # coding: us-ascii
2
2
 
3
3
  module Pebbles::TotsuGen
4
- VERSION = '0.0.1.2'.freeze
4
+ VERSION = '0.1.0'.freeze
5
5
  end
@@ -11,12 +11,10 @@ Gem::Specification.new do |gem|
11
11
  gem.name = 'pebbles-totsugen'
12
12
  gem.version = Pebbles::TotsuGen::VERSION.dup
13
13
 
14
- gem.required_ruby_version = '>= 1.9.2'
15
-
16
- gem.add_development_dependency 'yard', '>= 0.8.6.1', '< 0.9'
17
- gem.add_development_dependency 'rspec', '>= 2.13', '< 3'
14
+ gem.add_development_dependency 'rspec', '>= 3.8', '< 4'
15
+ gem.add_development_dependency 'yard', '>= 0.9.20', '< 2'
18
16
  gem.add_development_dependency 'rake', '>= 10', '< 20'
19
- gem.add_development_dependency 'bundler', '>= 1.3.5', '< 2'
17
+ gem.add_development_dependency 'bundler', '>= 2', '< 3'
20
18
 
21
19
  # common
22
20
 
metadata CHANGED
@@ -1,95 +1,95 @@
1
1
  --- !ruby/object:Gem::Specification
2
2
  name: pebbles-totsugen
3
3
  version: !ruby/object:Gem::Version
4
- version: 0.0.1.2
4
+ version: 0.1.0
5
5
  platform: ruby
6
6
  authors:
7
7
  - Kenichi Kamiya
8
8
  autorequire:
9
9
  bindir: bin
10
10
  cert_chain: []
11
- date: 2013-06-20 00:00:00.000000000 Z
11
+ date: 2019-07-08 00:00:00.000000000 Z
12
12
  dependencies:
13
13
  - !ruby/object:Gem::Dependency
14
- name: yard
14
+ name: rspec
15
15
  requirement: !ruby/object:Gem::Requirement
16
16
  requirements:
17
- - - '>='
17
+ - - ">="
18
18
  - !ruby/object:Gem::Version
19
- version: 0.8.6.1
20
- - - <
19
+ version: '3.8'
20
+ - - "<"
21
21
  - !ruby/object:Gem::Version
22
- version: '0.9'
22
+ version: '4'
23
23
  type: :development
24
24
  prerelease: false
25
25
  version_requirements: !ruby/object:Gem::Requirement
26
26
  requirements:
27
- - - '>='
27
+ - - ">="
28
28
  - !ruby/object:Gem::Version
29
- version: 0.8.6.1
30
- - - <
29
+ version: '3.8'
30
+ - - "<"
31
31
  - !ruby/object:Gem::Version
32
- version: '0.9'
32
+ version: '4'
33
33
  - !ruby/object:Gem::Dependency
34
- name: rspec
34
+ name: yard
35
35
  requirement: !ruby/object:Gem::Requirement
36
36
  requirements:
37
- - - '>='
37
+ - - ">="
38
38
  - !ruby/object:Gem::Version
39
- version: '2.13'
40
- - - <
39
+ version: 0.9.20
40
+ - - "<"
41
41
  - !ruby/object:Gem::Version
42
- version: '3'
42
+ version: '2'
43
43
  type: :development
44
44
  prerelease: false
45
45
  version_requirements: !ruby/object:Gem::Requirement
46
46
  requirements:
47
- - - '>='
47
+ - - ">="
48
48
  - !ruby/object:Gem::Version
49
- version: '2.13'
50
- - - <
49
+ version: 0.9.20
50
+ - - "<"
51
51
  - !ruby/object:Gem::Version
52
- version: '3'
52
+ version: '2'
53
53
  - !ruby/object:Gem::Dependency
54
54
  name: rake
55
55
  requirement: !ruby/object:Gem::Requirement
56
56
  requirements:
57
- - - '>='
57
+ - - ">="
58
58
  - !ruby/object:Gem::Version
59
59
  version: '10'
60
- - - <
60
+ - - "<"
61
61
  - !ruby/object:Gem::Version
62
62
  version: '20'
63
63
  type: :development
64
64
  prerelease: false
65
65
  version_requirements: !ruby/object:Gem::Requirement
66
66
  requirements:
67
- - - '>='
67
+ - - ">="
68
68
  - !ruby/object:Gem::Version
69
69
  version: '10'
70
- - - <
70
+ - - "<"
71
71
  - !ruby/object:Gem::Version
72
72
  version: '20'
73
73
  - !ruby/object:Gem::Dependency
74
74
  name: bundler
75
75
  requirement: !ruby/object:Gem::Requirement
76
76
  requirements:
77
- - - '>='
78
- - !ruby/object:Gem::Version
79
- version: 1.3.5
80
- - - <
77
+ - - ">="
81
78
  - !ruby/object:Gem::Version
82
79
  version: '2'
80
+ - - "<"
81
+ - !ruby/object:Gem::Version
82
+ version: '3'
83
83
  type: :development
84
84
  prerelease: false
85
85
  version_requirements: !ruby/object:Gem::Requirement
86
86
  requirements:
87
- - - '>='
88
- - !ruby/object:Gem::Version
89
- version: 1.3.5
90
- - - <
87
+ - - ">="
91
88
  - !ruby/object:Gem::Version
92
89
  version: '2'
90
+ - - "<"
91
+ - !ruby/object:Gem::Version
92
+ version: '3'
93
93
  description: totsuzenno generator!!
94
94
  email:
95
95
  - kachick1+ruby@gmail.com
@@ -98,9 +98,9 @@ executables:
98
98
  extensions: []
99
99
  extra_rdoc_files: []
100
100
  files:
101
- - .gitignore
102
- - .travis.yml
103
- - .yardopts
101
+ - ".gitignore"
102
+ - ".travis.yml"
103
+ - ".yardopts"
104
104
  - Gemfile
105
105
  - README.md
106
106
  - Rakefile
@@ -122,21 +122,20 @@ require_paths:
122
122
  - lib
123
123
  required_ruby_version: !ruby/object:Gem::Requirement
124
124
  requirements:
125
- - - '>='
125
+ - - ">="
126
126
  - !ruby/object:Gem::Version
127
- version: 1.9.2
127
+ version: '0'
128
128
  required_rubygems_version: !ruby/object:Gem::Requirement
129
129
  requirements:
130
- - - '>='
130
+ - - ">="
131
131
  - !ruby/object:Gem::Version
132
132
  version: '0'
133
133
  requirements: []
134
134
  rubyforge_project:
135
- rubygems_version: 2.0.2
135
+ rubygems_version: 2.7.6
136
136
  signing_key:
137
137
  specification_version: 4
138
138
  summary: totsuzenno generator!!
139
139
  test_files:
140
140
  - spec/helper.rb
141
141
  - spec/pebbles-totsugen_spec.rb
142
- has_rdoc: